org.keycloak.dom.saml.v2.protocol

## Class StatusType

- java.lang.Object
- - org.keycloak.dom.saml.v2.protocol.StatusType

- All Implemented Interfaces:
    Serializable

      public class StatusType
      extends Object
      implements Serializable

  Java class for StatusType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StatusType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}StatusCode"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}StatusMessage" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}StatusDetail" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StatusCodeType` | `statusCode`
    `protected StatusDetailType` | `statusDetail`
    `protected String` | `statusMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StatusCodeType` | `getStatusCode()` Gets the value of the statusCode property.
    `StatusDetailType` | `getStatusDetail()` Gets the value of the statusDetail property.
    `String` | `getStatusMessage()` Gets the value of the statusMessage property.
    `void` | `setStatusCode(StatusCodeType value)` Sets the value of the statusCode property.
    `void` | `setStatusDetail(StatusDetailType value)` Sets the value of the statusDetail property.
    `void` | `setStatusMessage(String value)` Sets the value of the statusMessage property.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### statusMessage

          protected String statusMessage

    - #### statusCode

          protected StatusCodeType statusCode

    - #### statusDetail

          protected StatusDetailType statusDetail

  - ### Constructor Detail

    - #### StatusType

          public StatusType()

  - ### Method Detail

    - #### getStatusCode

          public StatusCodeType getStatusCode()

      Gets the value of the statusCode property.
      Returns:
        possible object is `StatusCodeType`

    - #### setStatusCode

          public void setStatusCode(StatusCodeType value)

      Sets the value of the statusCode property.
      Parameters:
        `value` - allowed object is `StatusCodeType`

    - #### getStatusMessage

          public String getStatusMessage()

      Gets the value of the statusMessage property.
      Returns:
        possible object is `String`

    - #### setStatusMessage

          public void setStatusMessage(String value)

      Sets the value of the statusMessage property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStatusDetail

          public StatusDetailType getStatusDetail()

      Gets the value of the statusDetail property.
      Returns:
        possible object is `StatusDetailType`

    - #### setStatusDetail

          public void setStatusDetail(StatusDetailType value)

      Sets the value of the statusDetail property.
      Parameters:
        `value` - allowed object is `StatusDetailType`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.